device_type: sm8350-mtp
job_name: lab-health-sm8350-mtp
timeouts:
  job:
    minutes: 90
  action:
    minutes: 15
  connection:
    minutes: 2
priority: medium
visibility: public

metadata:
  source: https://git.linaro.org/lava/lava-lab.git
  path: shared/health-checks/sm8350-mtp.yaml

protocols:
  lava-lxc:
    name: lxc-sm8350-mtp-test
    template: debian
    distribution: debian
    release: buster

actions:
- deploy:
    namespace: tlxc
    timeout:
      minutes: 5
    to: lxc
    os: debian

- boot:
    namespace: tlxc
    prompts:
    - root@(.*):/#
    timeout:
      minutes: 5
    method: lxc

- deploy:
    timeout:
      minutes: 40
    to: download
    namespace: sm8350-mtp
    images:
      boot:
        url: http://images.validation.linaro.org/snapshots.linaro.org/member-builds/qcomlt/linux-mainline/sm8350-mtp/2225/boot-linux-mainline-v5.13-rc4-11-gc2131f7e73c9-2225-sm8350-mtp.img
        compression:
        apply-overlay: true
    os: oe

- test:
    namespace: tlxc
    timeout:
      minutes: 30
    definitions:
    - from: inline
      name: sm8350-mtp-apply-test-overlay
      path: inline/sm8350-mtp-apply-test-overlay.yaml
      repository:
        metadata:
          description: sm8350-mtp apply test overlay
          format: Lava-Test Test Definition 1.0
          name: sm8350-mtp-apply-test-overlay
        run:
          steps:
          - overlay_file=/lava-lxc/overlays/sm8350-mtp/overlay.tar.gz
          - if [ -f $overlay_file ]
          - then
          - configs_dir=$(mktemp -d /tmp/configs.XXXX)
          - git clone --depth 1 http://git.linaro.org/ci/job/configs.git $configs_dir
          - $configs_dir/lt-qcom-linux-test/copy_test_overlay.sh /lava-lxc/boot-linux-mainline-v5.13-rc4-11-gc2131f7e73c9-2225-sm8350-mtp.img
            $overlay_file
          - echo "apply_test_overlay:" "pass"
          - else
          - echo "apply_test_overlay:" "skip"
          - fi

- deploy:
    timeout:
      minutes: 40
    to: fastboot
    namespace: sm8350-mtp
    images:
      boot:
        url: lxc:///boot-linux-mainline-v5.13-rc4-11-gc2131f7e73c9-2225-sm8350-mtp.img
    os: oe

- boot:
    namespace: sm8350-mtp
    prompts:
    - '.*root@qemuarm64:~#.*'
    timeout:
      minutes: 15
    method: fastboot

- test:
    namespace: sm8350-mtp
    name: qcomlt-linux-test-smoke
    timeout:
      minutes: 5
    definitions:
    - from: inline
      name: qcomlt-linux-test-smoke
      path: inline/qcomlt-linux-test-smoke.yaml
      repository:
        metadata:
          description: QCOM LT Linux test smoke
          format: Lava-Test Test Definition 1.0
          name: qcomlt-linux-test-smoke
        run:
          steps:
          - uname -a
          - df
          - free
          - ls -l /dev
          - ls -l /sys
          - ls -l /proc
          - lsmod
          - lava-test-case "linux_kernel_smoke" --result "pass"
